Page MenuHomePhabricator

Create fishbowl wiki for Maithili Wikimedians User Group
Closed, ResolvedPublic

Description

Consensus Link - https://meta.wikimedia.org/wiki/Maithili_Wikimedians_User_Group/Resolutions/April_2017

Sub domain: mwug.wikimedia.org

Who can read it? : Public
Who can edit it? : Who has an account
Is account creation by approval only, or by anybody clicking on "create an account"? : by approval
Is email notification to be switched on? : yes
Should certain extensions be switched on? : Translate extension (mai/en),
main site language? : Maithili
logo? : https://commons.wikimedia.org/wiki/File:Maithili_Wikimedians_User_Group_Logo.svg
sitename?: mwugwikimedia
Translate extension? : mai/en
Special usergroup? : bureaucrats, admin to handle the account creation request
Add: User:Biplab Anand as bureaucrats

Thanks

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2017, 5:08 AM
biplabanand triaged this task as Normal priority.Jun 25 2017, 5:08 AM

Why not... I'll prepare initial configuration later today. But before this I have one question. Why the site should be named mwugwikimedia? Why not maiwikimedia?

Why not... I'll prepare initial configuration later today. But before this I have one question. Why the site should be named mwugwikimedia? Why not maiwikimedia?

Thanks @Urbanecm for your suggestion. go for maiwikimedia.

Hmm... I am not sure we can create new wikis out of the blue without prior approval from someone? I am not opposing but I think we need to check that out first IMHO.

I think we can create special wikis (such as those for chapters, user groups or arbcoms) only if we have agreement from the org which want the wiki.

@Urbanecm To avoid doubts I've asked @Kirill_Lokshin as chair of the AffCom. If approval is not needed then we can clarify the guidelines for future requests. Regards.

Change 361295 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] Add maiwikimedia to DNS

https://gerrit.wikimedia.org/r/361295

Change 361296 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/puppet@production] Add maiwikimedia to Apache conf

https://gerrit.wikimedia.org/r/361296

If you wish localised sitename (currently Maithili Wikimedians), please give the name here. Thank you!

Change 361297 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for maiwikimedia

https://gerrit.wikimedia.org/r/361297

I can't do anything else: conf patches were uploaded for review (if some logo should be added, please add here a link to it, preferably in its SVG version).

If you wish localised sitename (currently Maithili Wikimedians), please give the name here. Thank you!

मैथिली विकिमिडियन्स

If you wish localised sitename (currently Maithili Wikimedians), please give the name here. Thank you!

मैथिली विकिमिडियन्स

Patch amended.

Hi,

As soon as the tables are created in production, please ping me so I can sanitize all the private data for sanitarium and labs hosts

I can't do anything else: conf patches were uploaded for review (if some logo should be added, please add here a link to it, preferably in its SVG version).

Logo link- https://commons.wikimedia.org/wiki/File:Maithili_Wikimedians_User_Group_Logo.svg

Change 363176 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Upload logos for maiwikimedia, add them to IS.php

https://gerrit.wikimedia.org/r/363176

@Dereckson Can you have a look at and move it forward? Or tell me if there is anything I can do.

I've discussed this task with @biplabanand this Friday on IRC and offered to plan a window next week (so this week) to create the wiki.

Sent a mail to greg with this and Dinka to request a window: my plan is to have a 3 hours windows a morning before EU SWAT so we can create all the pending remaining wikis.

Change 361295 merged by Dzahn:
[operations/dns@master] Add mai.wikimedia.org (Maithili user group)

https://gerrit.wikimedia.org/r/361295

Dzahn added a subscriber: Dzahn.Jul 10 2017, 6:01 PM

mai.wikimedia.org has address 208.80.154.224
mai.wikimedia.org has IPv6 address 2620:0:861:ed1a::1

Wiki scheduled for creation 2017-07-12 10:00–13:00 UTC.

Change 361297 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for maiwikimedia

https://gerrit.wikimedia.org/r/361297

Mentioned in SAL (#wikimedia-operations) [2017-07-12T11:57:11Z] <Dereckson> Run add wiki maintenance script for maiwikimedia database / mai.wikimedia.org (T168782)

Mentioned in SAL (#wikimedia-operations) [2017-07-12T12:03:40Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Initial configuration for mai.wikimedia (T168782) (duration: 00m 46s)

Change 363176 merged by jenkins-bot:
[operations/mediawiki-config@master] Upload logos for maiwikimedia, add them to IS.php

https://gerrit.wikimedia.org/r/363176

We need the Apache change to be merged but configuration is live —
https://gerrit.wikimedia.org/r/#/c/361296/.

Mentioned in SAL (#wikimedia-operations) [2017-07-12T12:18:22Z] <dereckson@tin> Synchronized static/images/project-logos: Logos for mai.wikimedia (T168782) (duration: 00m 46s)

Dereckson updated the task description. (Show Details)Jul 12 2017, 12:19 PM

Mentioned in SAL (#wikimedia-operations) [2017-07-12T12:20:54Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Logos for mai.wikimedia (T168782) (duration: 00m 46s)

Change 361296 merged by Dzahn:
[operations/puppet@production] Add maiwikimedia to Apache conf

https://gerrit.wikimedia.org/r/361296

Mentioned in SAL (#wikimedia-operations) [2017-07-13T14:19:01Z] <Reedy> mwscript extensions/WikimediaMaintenance/createExtensionTables.php --wiki=maiwikimedia Translate for T168782

Urbanecm updated the task description. (Show Details)Jul 13 2017, 2:23 PM

@Dereckson Please run createAndPromote.php because the author of this ticket should be the first bureaucrat.

Mentioned in SAL (#wikimedia-operations) [2017-07-17T14:39:23Z] <Dereckson> Created account "Biplab Anand" at bureaucrat level on mai.wikimedia (T168782)

@Dereckson Please run createAndPromote.php because the author of this ticket should be the first bureaucrat.

Done, with credentials sent by mail to @biplabanand.

Successfully logged in to my account but when i tried to create an account via Special:CreateAccount, it gives following error

You do not have permission to do that, for the following reason:
You are not allowed to execute the action you have requested.

resolved after discussion with @Dereckson on IRC.

@Urbanecm The logo of MWUG looks bit smaller for me. would you please check it and resize it to bit bigger.

For record: This was discussed on IRC. I've created T170922 for that purpose.

Urbanecm closed this task as Resolved.Jul 18 2017, 12:38 PM

Wiki was created. Only minor improvements are to happen.